Update 6

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
PUT /project/{projectId}/activity-code/{activityCodeId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • activityCodeId integer(int64) Required
  • projectId integer(int64) Required
application/json

Body Required

  • activityCodeTypeId integer(int64) Required

    Minimum value is 1.

  • value string Required
  • desc string
  • sequenceNumber integer(int32)

    Minimum value is 1.

  • order integer(int32)

    Minimum value is 0.

Responses

  • 200 */*

    OK

PUT /project/{projectId}/activity-code/{activityCodeId}
curl \
 --request PUT 'https://live.smartpmtech.com/project/{projectId}/activity-code/{activityCodeId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "activityCodeTypeId": 42,
  "value": "string",
  "desc": "string",
  "sequenceNumber": 42,
  "order": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "activityCodeTypeId": 42,
  "value": "string",
  "desc": "string",
  "sequenceNumber": 42,
  "order": 42
}
Response examples (200)
42